<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: book_of_condolences.php
| Author: PHP-Fusion Addons Team
| maxlength function by kneekoo
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
include INFUSIONS."book_of_condolences/infusion_db.php";
require_once INCLUDES."bbcode_include.php";

if (file_exists(INFUSIONS."book_of_condolences/locale/".$settings['locale'].".php")) {
	include INFUSIONS."book_of_condolences/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."book_of_condolences/locale/English.php";
}
add_to_title(" | ".$locale['m4n_012']);

if (isset($_GET['rowstart']) && isnum($_GET['rowstart'])) {
		$rowstart = $_GET['rowstart'];
	    } else {
		$rowstart = 0; }
$limit = "20";
$counter = (dbcount("(m4n_id)", DB_CONDOLENCES, "m4n_status ='1'"));
	
opentable($locale['m4n_012']);
echo "<table class='tbl-border' width='100%'>\n<tr>\n";
echo "<td valign='top' align='center' class='tbl'><img border='1' src='".IMAGES."nick_jones.jpg' width='300' alt='Nick Jones' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td valign='top' align='center' class='tbl'>".$locale['m4n_022']."</td>\n";
echo "</tr>\n</table>\n";

     $result = dbquery("SELECT 
                              a.m4n_id, 
                              a.m4n_user,  
                              a.m4n_text,  
                              u.user_id, 
                              u.user_name, 
                              u.user_status FROM ".DB_CONDOLENCES." a 
                              LEFT JOIN ".DB_USERS." u ON u.user_id=a.m4n_user 
                              WHERE a.m4n_status = '1' 
                              ORDER BY m4n_datestamp 
                              DESC LIMIT $rowstart,$limit
                              ");
     echo "<table border='0' width='100%' class='tbl-border'>\n<tr>\n";
     echo "<th class='forum-caption'>".$locale['m4n_014']."</th>\n";
     echo "</tr>\n";
if (dbrows($result)) {
	while($data = dbarray($result)) {
	echo "<td class='tbl2'>";
	$text = nl2br(parseubb(censorwords($data['m4n_text'])));
	echo (isset($text) ? $text : "");
	echo "<br />".$locale['m4n_023'].profile_link($data['user_id'], $data['user_name'], $data['user_status'])."<hr /></td>\n</tr>\n";
	}
} else { echo "<tr>\n<td class='tbl1' align='center' colspan='4'>".$locale['m4n_005']."</td>\n</tr>\n"; }
	echo "</table>\n";

closetable();


if (iMEMBER) {
$status = "0";
$entry_check = (dbcount("(m4n_id)", DB_CONDOLENCES, "m4n_user ='".$userdata['user_id']."'"));
	if (!$entry_check) {

if (isset($_POST['cond_send'])) {
	if (isset($_POST['m4n_text'])) {
	$text = stripinput($_POST['m4n_text']);
			$result = dbquery("INSERT INTO  ".DB_CONDOLENCES." (m4n_user, m4n_status, m4n_admin, m4n_text, m4n_datestamp) VALUES ('".$userdata['user_id']."', '0', '0', '".$text."', '".time()."')");
		}
		$status = "1";
    }

	if ($status == '1') {
	
	opentable($locale['m4n_024']);
	echo "<div align='center'><br />".$locale['m4n_025']."<br/></div>\n";
	echo "<br /><a href='".FUSION_SELF."'>".$locale['m4n_026']."</a><br />";
	closetable();
	} else {
	
opentable($locale['m4n_001']);

	echo "<form id='cond_send' name='cond_send' method='post' action='".FUSION_SELF."'>\n";
	echo "<table class='tbl-border' width='100%'>\n<tr>\n";
	echo "<th valign='top' colspan='2' class='tbl'>".$locale['m4n_010']."</th>\n";
	echo "</tr>\n<tr>\n";
	echo "<td valign='top' class='tbl'>".$locale['m4n_011']."</td>\n";
	echo "<td class='tbl'><textarea name='m4n_text' cols='60' rows='5' style='width:400px'></textarea>\n";
	echo display_bbcodes("340px", "m4n_text", "cond_send", "b|i|u|left|center|right|small|color|bcolor")."\n";
	echo "</td>\n";
	echo "<tr>\n<td class='tbl1' colspan='2' align='center'><input type='submit' name='cond_send' value='".$locale['m4n_015']."' class='button' />\n";
	echo "</tr>\n</table>\n";
	echo "</form>\n";
	echo "<center>".$locale['m4n_029']."</center>\n";

closetable();
     }
   }
 }
 
 if ($counter > $limit) { echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($rowstart, $limit, $counter, 3)."</div>"; }

require_once THEMES."templates/footer.php";
?>